/*! 
	\file quatre.h
	\author GOIGOUX Lucie & JEUDI--LEMOINE Alix
	\date 12/01/23
	\brief Partie 4 de la SAE 1.02

	Application de gestion des candidature dans les IUT de France
*/

void menuCandidat_suivreCandidature(ListeCandidats liste, int nbCandidats, Candidat* candidat); 

void menuResponsable_traiterCandidatures(VilleIUT** tiut, int nbVilles, ListeCandidats liste, int nbCandidats);

FileAttente* creerFile(void); // Retourne address FileAttente malloc
int estVide(FileAttente *file);// Retourne 1 ou 0 si vide
void enfiler(FileAttente *file, CandidatTraite candidat); // Enfile candidat dans file
CandidatTraite defiler(FileAttente *file); // Defile candidat et le renvoie

int compareCandidatsTraite(const void* p1, const void* p2); // Pour utiliser le qsort

void afficherCandidatsAdmis(char* dept, char* ville);
void afficherCandidatsAttente(FileAttente* file);